package com.student.details.services;

import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;

import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Scanner;

public class APIService {

  public static JSONObject get(String stringUrl) {

    try {
      URL url = new URL(stringUrl);
      HttpURLConnection conn = (HttpURLConnection) url.openConnection();
      conn.setRequestMethod("GET");
      conn.connect();

      int responseCode = conn.getResponseCode();
      if (responseCode != 200) {
        throw new RuntimeException("" + responseCode);
      } else {
        String res = "";
        Scanner scanner = new Scanner(url.openStream());

        while (scanner.hasNext()) {
          String nextVal = scanner.nextLine();
          res += nextVal;
        }

        JSONParser parser = new JSONParser();
        JSONObject json = (JSONObject) parser.parse(res);
        return json;
      }
    } catch (Exception e) {
      e.printStackTrace();
    }

    return new JSONObject();

  }

}
